# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/zubzo/1/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/zubzo/1/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Zubzo\\1\\": "packages/zubzo/1/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Zubzo\1\Providers\1ServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        '1'  => Zubzo\1\Facades\1::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Zubzo\\1TableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Zubzo\1\Providers\1ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Zubzo\1\Providers\1ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Zubzo\1\Providers\1ServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/1/{modulename}

**User**

    http://path-to-route-folder/user/1/{modulename}

**Public**

    http://path-to-route-folder/1s


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/1/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/1/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/1/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/1/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/1/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/1/{modulename}/{slug}
    METHOD: GET